/* -----------------------------------------------------------------------------
 * Copyright (c) 2013-2015 ARM Ltd.
 *
 * This software is provided 'as-is', without any express or implied warranty.
 * In no event will the authors be held liable for any damages arising from
 * the use of this software. Permission is granted to anyone to use this
 * software for any purpose, including commercial applications, and to alter
 * it and redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software in
 *    a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 *
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 3. This notice may not be removed or altered from any source distribution.
 *
 *
 * $Date:        10. June 2015
 * $Revision:    V1.00
 *
 * Project:      USB High-Speed Device Driver for Atmel SAMV71
 * -------------------------------------------------------------------------- */

#ifndef __USBD_SAMV71_H
#define __USBD_SAMV71_H

#include "RTE_Device.h"
#include "RTE_Components.h"
#include "chip.h"
#include "pio.h"
#include "pmc.h"
#include "usbhs.h"
#include "USBD_HAL.h"

#ifdef  RTE_USB_Device_HID_0
#include "..\RTE\USB\USBD_Config_HID_0.h"
#endif
#ifdef  RTE_USB_Device_MSC_0
#include "..\RTE\USB\USBD_Config_MSC_0.h"
#endif
#ifdef  RTE_USB_Device_CDC_0
#include "..\RTE\USB\USBD_Config_CDC_0.h"
#endif

#if ((USBD_HID0_EP_INT_IN ==  1) && (USBD_HID0_EP_INT_OUT ==  1) || \
     (USBD_HID0_EP_INT_IN ==  2) && (USBD_HID0_EP_INT_OUT ==  2) || \
     (USBD_HID0_EP_INT_IN ==  3) && (USBD_HID0_EP_INT_OUT ==  3) || \
     (USBD_HID0_EP_INT_IN ==  4) && (USBD_HID0_EP_INT_OUT ==  4) || \
     (USBD_HID0_EP_INT_IN ==  5) && (USBD_HID0_EP_INT_OUT ==  5) || \
     (USBD_HID0_EP_INT_IN ==  6) && (USBD_HID0_EP_INT_OUT ==  6) || \
     (USBD_HID0_EP_INT_IN ==  7) && (USBD_HID0_EP_INT_OUT ==  7) || \
     (USBD_HID0_EP_INT_IN ==  8) && (USBD_HID0_EP_INT_OUT ==  8) || \
     (USBD_HID0_EP_INT_IN ==  9) && (USBD_HID0_EP_INT_OUT ==  9) || \
     (USBD_MSC0_EP_BULK_IN ==  1) && (USBD_MSC0_EP_BULK_OUT ==  1) || \
     (USBD_MSC0_EP_BULK_IN ==  2) && (USBD_MSC0_EP_BULK_OUT ==  2) || \
     (USBD_MSC0_EP_BULK_IN ==  3) && (USBD_MSC0_EP_BULK_OUT ==  3) || \
     (USBD_MSC0_EP_BULK_IN ==  4) && (USBD_MSC0_EP_BULK_OUT ==  4) || \
     (USBD_MSC0_EP_BULK_IN ==  5) && (USBD_MSC0_EP_BULK_OUT ==  5) || \
     (USBD_MSC0_EP_BULK_IN ==  6) && (USBD_MSC0_EP_BULK_OUT ==  6) || \
     (USBD_MSC0_EP_BULK_IN ==  7) && (USBD_MSC0_EP_BULK_OUT ==  7) || \
     (USBD_MSC0_EP_BULK_IN ==  8) && (USBD_MSC0_EP_BULK_OUT ==  8) || \
     (USBD_MSC0_EP_BULK_IN ==  9) && (USBD_MSC0_EP_BULK_OUT ==  9) || \
     (USBD_CDC0_EP_INT_IN ==  1) && (USBD_CDC0_EP_INT_OUT ==  1) || \
     (USBD_CDC0_EP_INT_IN ==  2) && (USBD_CDC0_EP_INT_OUT ==  2) || \
     (USBD_CDC0_EP_INT_IN ==  3) && (USBD_CDC0_EP_INT_OUT ==  3) || \
     (USBD_CDC0_EP_INT_IN ==  4) && (USBD_CDC0_EP_INT_OUT ==  4) || \
     (USBD_CDC0_EP_INT_IN ==  5) && (USBD_CDC0_EP_INT_OUT ==  5) || \
     (USBD_CDC0_EP_INT_IN ==  6) && (USBD_CDC0_EP_INT_OUT ==  6) || \
     (USBD_CDC0_EP_INT_IN ==  7) && (USBD_CDC0_EP_INT_OUT ==  7) || \
     (USBD_CDC0_EP_INT_IN ==  8) && (USBD_CDC0_EP_INT_OUT ==  8) || \
     (USBD_CDC0_EP_INT_IN ==  9) && (USBD_CDC0_EP_INT_OUT ==  9))
  #error "Atmel SAMV71 Chip Library requires different numbers for each endpoint"
#endif

// USB Device driver definitions
#define USBD_DRIVER_INITIALIZED (1U)
#define USBD_DRIVER_POWERED     (1U << 1)
#define USBD_DRIVER_CONNECTED   (1U << 2)

#endif /* __USBD_SAMV71_H */
