/* ---------------------------------------------------------------------------- */
/*                  Atmel Microcontroller Software Support                      */
/*                       SAM Software Package License                           */
/* ---------------------------------------------------------------------------- */
/* Copyright (c) 2014, Atmel Corporation                                        */
/*                                                                              */
/* All rights reserved.                                                         */
/*                                                                              */
/* Redistribution and use in source and binary forms, with or without           */
/* modification, are permitted provided that the following condition is met:    */
/*                                                                              */
/* - Redistributions of source code must retain the above copyright notice,     */
/* this list of conditions and the disclaimer below.                            */
/*                                                                              */
/* Atmel's name may not be used to endorse or promote products derived from     */
/* this software without specific prior written permission.                     */
/*                                                                              */
/* DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR   */
/* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF */
/* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE   */
/* DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,      */
/* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT */
/* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,  */
/* OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF    */
/* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING         */
/* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                           */
/* ---------------------------------------------------------------------------- */

#ifndef _SAMV71_MCAN_H
#define _SAMV71_MCAN_H

#include "chip.h"

#if defined(MCAN0_ADDR) || defined(MCAN1_BASE)
#include "component/component_mcan.h"
#endif

#if defined(MCAN0_ADDR)
#include "instance/instance_mcan0.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define MCAN0              MCAN0_ADDR
#else
#define MCAN0    ((Mcan  *)MCAN0_ADDR) /**< \brief (Mcan ) Base Address */
#endif
#endif
#endif


#if defined(MCAN1_ADDR)
#include "instance/instance_mcan1.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define MCAN1              MCAN1_ADDR
#else
#define MCAN1    ((Mcan  *)MCAN1_ADDR) /**< \brief (Mcan ) Base Address */
#endif
#endif
#endif


#endif /* _SAMV71_MCAN_H */
