/* ---------------------------------------------------------------------------- */
/*                  Atmel Microcontroller Software Support                      */
/*                       SAM Software Package License                           */
/* ---------------------------------------------------------------------------- */
/* Copyright (c) 2014, Atmel Corporation                                        */
/*                                                                              */
/* All rights reserved.                                                         */
/*                                                                              */
/* Redistribution and use in source and binary forms, with or without           */
/* modification, are permitted provided that the following condition is met:    */
/*                                                                              */
/* - Redistributions of source code must retain the above copyright notice,     */
/* this list of conditions and the disclaimer below.                            */
/*                                                                              */
/* Atmel's name may not be used to endorse or promote products derived from     */
/* this software without specific prior written permission.                     */
/*                                                                              */
/* DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR   */
/* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF */
/* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE   */
/* DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,      */
/* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT */
/* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,  */
/* OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF    */
/* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING         */
/* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                           */
/* ---------------------------------------------------------------------------- */

#ifndef _UART_PERIPHERAL_H
#define _UART_PERIPHERAL_H


#include "chip.h"


#if defined(PIOA_ADDR) || defined(PIOB_ADDR) || defined(PIOC_ADDR) || defined(PIOD_ADDR) || defined(PIOE_ADDR)
#include "component/component_pio.h"
#endif


#if defined(PIOA_ADDR)
#include "instance/instance_pioa.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define PIOA           PIOA_ADDR  /**< \brief (PIOA ) Base Address */
#else
#define PIOA  ((Pio  *)PIOA_ADDR) /**< \brief (PIOA ) Base Address */
#endif
#endif

#if defined(PIOB_ADDR)
#include "instance/instance_piob.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define PIOB           PIOB_ADDR  /**< \brief (PIOB ) Base Address */
#else
#define PIOB  ((Pio  *)PIOB_ADDR) /**< \brief (PIOB ) Base Address */
#endif
#endif

#if defined(PIOC_ADDR)
#include "instance/instance_pioc.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define PIOC           PIOC_ADDR  /**< \brief (PIOC ) Base Address */
#else
#define PIOC  ((Pio  *)PIOC_ADDR) /**< \brief (PIOC ) Base Address */
#endif
#endif

#if defined(PIOD_ADDR)
#include "instance/instance_piod.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define PIOD           PIOD_ADDR  /**< \brief (PIOD ) Base Address */
#else
#define PIOD  ((Pio  *)PIOD_ADDR) /**< \brief (PIOD ) Base Address */
#endif
#endif

#if defined(PIOE_ADDR)
#include "instance/instance_piod.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define PIOE           PIOE_ADDR  /**< \brief (PIOE ) Base Address */
#else
#define PIOE  ((Pio  *)PIOE_ADDR) /**< \brief (PIOE ) Base Address */
#endif
#endif

#endif /* _UART_PERIPHERAL_H */
