/* ---------------------------------------------------------------------------- */
/*                  Atmel Microcontroller Software Support                      */
/*                       SAM Software Package License                           */
/* ---------------------------------------------------------------------------- */
/* Copyright (c) 2014, Atmel Corporation                                        */
/*                                                                              */
/* All rights reserved.                                                         */
/*                                                                              */
/* Redistribution and use in source and binary forms, with or without           */
/* modification, are permitted provided that the following condition is met:    */
/*                                                                              */
/* - Redistributions of source code must retain the above copyright notice,     */
/* this list of conditions and the disclaimer below.                            */
/*                                                                              */
/* Atmel's name may not be used to endorse or promote products derived from     */
/* this software without specific prior written permission.                     */
/*                                                                              */
/* DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR   */
/* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF */
/* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE   */
/* DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,      */
/* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT */
/* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,  */
/* OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF    */
/* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING         */
/* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                           */
/* ---------------------------------------------------------------------------- */

#ifndef _TC_PERIPHERAL_H
#define _TC_PERIPHERAL_H


#include "chip.h"


#if defined(TC0_ADDR) || defined(TC1_ADDR) || defined(TC2_ADDR) || defined(TC3_ADDR)
#include "component/component_tc.h"
#else
#error No TC peripheral available on your chipset
#endif


#if defined(TC0_ADDR)
#include "instance/instance_tc0.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define TC0          TC0_ADDR  /**< \brief (TC0 ) Base Address */
#else
#define TC0  ((Tc  *)TC0_ADDR) /**< \brief (TC0 ) Base Address */
#endif
#endif

#if defined(TC1_ADDR)
#include "instance/instance_tc1.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define TC1          TC1_ADDR  /**< \brief (TC1 ) Base Address */
#else
#define TC1  ((Tc  *)TC1_ADDR) /**< \brief (TC1 ) Base Address */
#endif
#endif

#if defined(TC2_ADDR)
#include "instance/instance_tc2.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define TC2          TC2_ADDR  /**< \brief (TC2 ) Base Address */
#else
#define TC2  ((Tc  *)TC2_ADDR) /**< \brief (TC2 ) Base Address */
#endif
#endif

#if defined(TC3_ADDR)
#include "instance/instance_tc3.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define TC3          TC3_ADDR  /**< \brief (TC3 ) Base Address */
#else
#define TC3  ((Tc  *)TC3_ADDR) /**< \brief (TC3 ) Base Address */
#endif
#endif

#endif /* _TC_PERIPHERAL_H */
