/* ---------------------------------------------------------------------------- */
/*                  Atmel Microcontroller Software Support                      */
/*                       SAM Software Package License                           */
/* ---------------------------------------------------------------------------- */
/* Copyright (c) 2014, Atmel Corporation                                        */
/*                                                                              */
/* All rights reserved.                                                         */
/*                                                                              */
/* Redistribution and use in source and binary forms, with or without           */
/* modification, are permitted provided that the following condition is met:    */
/*                                                                              */
/* - Redistributions of source code must retain the above copyright notice,     */
/* this list of conditions and the disclaimer below.                            */
/*                                                                              */
/* Atmel's name may not be used to endorse or promote products derived from     */
/* this software without specific prior written permission.                     */
/*                                                                              */
/* DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR   */
/* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF */
/* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE   */
/* DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,      */
/* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT */
/* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,  */
/* OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF    */
/* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING         */
/* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                           */
/* ---------------------------------------------------------------------------- */

#ifndef _UART_PERIPHERAL_H
#define _UART_PERIPHERAL_H


#include "chip.h"


#if defined(UART0_ADDR) || defined(UART1_ADDR) || defined(UART2_ADDR) || defined(UART3_ADDR)
#include "component/component_uart.h"
#else
#error No UART peripheral available on your chipset
#endif


#if defined(UART0_ADDR)
#include "instance/instance_uart0.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define UART0            UART0_ADDR  /**< \brief (UART0 ) Base Address */
#else
#define UART0  ((Uart  *)UART0_ADDR) /**< \brief (UART0 ) Base Address */
#endif
#endif

#if defined(UART1_ADDR)
#include "instance/instance_uart1.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define UART1            UART1_ADDR  /**< \brief (UART1 ) Base Address */
#else
#define UART1  ((Uart  *)UART1_ADDR) /**< \brief (UART1 ) Base Address */
#endif
#endif

#if defined(UART2_ADDR)
#include "instance/instance_uart2.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define UART2            UART2_ADDR  /**< \brief (UART2 ) Base Address */
#else
#define UART2  ((Uart  *)UART2_ADDR) /**< \brief (UART2 ) Base Address */
#endif
#endif

#if defined(UART3_ADDR)
#include "instance/instance_uart2.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define UART3            UART3_ADDR  /**< \brief (UART3 ) Base Address */
#else
#define UART3  ((Uart  *)UART3_ADDR) /**< \brief (UART3 ) Base Address */
#endif
#endif

#endif /* _UART_PERIPHERAL_H */
