/* ---------------------------------------------------------------------------- */
/*                  Atmel Microcontroller Software Support                      */
/*                       SAM Software Package License                           */
/* ---------------------------------------------------------------------------- */
/* Copyright (c) 2014, Atmel Corporation                                        */
/*                                                                              */
/* All rights reserved.                                                         */
/*                                                                              */
/* Redistribution and use in source and binary forms, with or without           */
/* modification, are permitted provided that the following condition is met:    */
/*                                                                              */
/* - Redistributions of source code must retain the above copyright notice,     */
/* this list of conditions and the disclaimer below.                            */
/*                                                                              */
/* Atmel's name may not be used to endorse or promote products derived from     */
/* this software without specific prior written permission.                     */
/*                                                                              */
/* DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR   */
/* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF */
/* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE   */
/* DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,      */
/* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT */
/* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,  */
/* OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF    */
/* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING         */
/* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                           */
/* ---------------------------------------------------------------------------- */

#ifndef _USART_PERIPHERAL_H
#define _USART_PERIPHERAL_H


#include "chip.h"


#if defined(USART0_ADDR) || defined(USART1_ADDR) || defined(USART2_ADDR)
#include "component/component_usart.h"
#else
#error No USART peripheral available on your chipset
#endif


#if defined(USART0_ADDR)
#include "instance/instance_usart0.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define USART0             USART0_ADDR  /**< \brief (USART0 ) Base Address */
#else
#define USART0  ((Usart  *)USART0_ADDR) /**< \brief (USART0 ) Base Address */
#endif
#endif

#if defined(USART1_ADDR)
#include "instance/instance_usart1.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define USART1             USART1_ADDR  /**< \brief (USART1 ) Base Address */
#else
#define USART1  ((Usart  *)USART1_ADDR) /**< \brief (USART1 ) Base Address */
#endif
#endif

#if defined(USART2_ADDR)
#include "instance/instance_usart2.h"

#if (defined(__ASSEMBLY__) || defined(__IAR_SYSTEMS_ASM__))
#define USART2             USART2_ADDR  /**< \brief (USART2 ) Base Address */
#else
#define USART2  ((Usart  *)USART2_ADDR) /**< \brief (USART2 ) Base Address */
#endif
#endif


#endif /* _USART_PERIPHERAL_H */
